> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Llistar programacions cron

> Recupera totes les programacions cron configurades per a un grup de workspaces. Torna un arranjament d'objectes de programació que contenen expressió cron, zona horària, tipus, informació del dispositiu intermedi i metadats d'auditoria. Si el grup de workspaces no té programacions, es torna un arranjament buit.



## OpenAPI

````yaml /ca/api-reference/openapi.ca-v1.json get /v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: API pública REST per al portal
servers:
  - url: https://api.flexxible.net
    description: Portal API (production)
security:
  - bearerAuth: []
tags: []
paths:
  /v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules:
    get:
      tags:
        - Grups de Workspaces
      summary: Llistar programacions cron
      description: >-
        Recupera totes les programacions cron configurades per a un grup de
        workspaces. Torna un arranjament d'objectes de programació que contenen
        expressió cron, zona horària, tipus, informació del dispositiu intermedi
        i metadats d'auditoria. Si el grup de workspaces no té programacions, es
        torna un arranjament buit.
      operationId: listWorkspaceGroupSchedules
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 24
            pattern: ^[0-9a-f]{24}$
          description: El identificador únic de l'organització
          example: 507f1f77bcf86cd799439011
        - name: workspace_group_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 24
            pattern: ^[0-9a-f]{24}$
          description: L'identificador únic del grup de workspaces
          example: 507f1f77bcf86cd799439020
      responses:
        '200':
          description: >-
            Llista de programacions recuperada correctament. Torna un
            arranjament d'objectes de programació. Arranjament buit si no
            existeixen programacions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceGroupScheduleV1ListResponseV1'
        '400':
          $ref: '#/components/responses/BadRequest'
          description: >-
            Sol·licitud incorrecta: format d'ID de grup d'espais de treball no
            vàlid
        '401':
          $ref: '#/components/responses/Unauthorized'
          description: >-
            No autoritzat: l'usuari no té accés a l'organització o
            l'organització no existeix
        '404':
          $ref: '#/components/responses/NotFound'
          description: >-
            Grup d'espais de treball no trobat o el grup d'espais de treball
            pertany a una organització diferent (després de que l'autorització
            es validi)
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    WorkspaceGroupScheduleV1ListResponseV1:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceGroupScheduleV1'
          description: Arranjament de programacions cron per al grup de workspaces
      required:
        - data
    WorkspaceGroupScheduleV1:
      type: object
      required:
        - id
        - cron_expression
        - time_zone
        - type
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
          description: L'identificador únic de la programació
          example: 507f1f77bcf86cd799439060
        cron_expression:
          type: string
          description: >-
            Expressió cron que defineix quan es executa la programació. Format:
            minut hora dia-del-mes mes dia-de-la-setmana.
          example: 0 8 * * 1-5
        time_zone:
          type: string
          description: >-
            Zona horària per a l'execució de la programació. Admet
            identificadors IANA (per exemple, 'America/New_York') i Windows (per
            exemple, 'Pacific Standard Time').
          example: Eastern Standard Time
        type:
          type: string
          enum:
            - start
            - stop
            - restart
          description: >-
            Tipus d'operació d'energia: START (encén), STOP (apaga), RESTART
            (reinicia Workspaces)
        intermediate_device:
          type: string
          pattern: ^[0-9a-f]{24}$
          nullable: true
          description: >-
            L'identificador únic del Workspace del dispositiu intermedi, si està
            configurat. S'utilitza per a accions de Wake on LAN en xarxes
            segures.
          example: 507f1f77bcf86cd799439050
        created_by:
          type: string
          pattern: ^[0-9a-f]{24}$
          nullable: true
          description: ID d'usuari que va crear la programació
          example: 507f1f77bcf86cd799439070
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
  responses:
    BadRequest:
      description: Sol·licitud incorrecta
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: No autoritzat
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: No trobat
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    TooManyRequests:
      description: Masses sol·licituds
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Error intern del servidor
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````